---
title: "Preview score impact"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{entityId}/scores/preview-impact`

## Path parameters

- `entityId` (`entity-reputation-preview-score-impact.path.entityId`; string, required)
  - format `uuid`

## Request body

- `hypotheticalReportMintedAt` (`entity-reputation-preview-score-impact.hypotheticalReportMintedAt`; string, optional)
  - format `date-time`
- `hypotheticalVouch` (`entity-reputation-preview-score-impact.hypotheticalVouch`; object, optional)
  - `voucherEntityId` (`entity-reputation-preview-score-impact.hypotheticalVouch.voucherEntityId`; string, required)
    - format `uuid`
  - `confidence` (`entity-reputation-preview-score-impact.hypotheticalVouch.confidence`; integer, optional)
    - min 1; max 5; default `3`
  - `scope` (`entity-reputation-preview-score-impact.hypotheticalVouch.scope`; string, optional)
    - minLength 1; maxLength 64; default `"general"`
  - `expiresAt` (`entity-reputation-preview-score-impact.hypotheticalVouch.expiresAt`; string, optional, nullable)
    - format `date-time`

## Example request

```json
{
  "hypotheticalReportMintedAt": "2019-08-24T14:15:22Z",
  "hypotheticalVouch": {
    "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
    "confidence": 3,
    "scope": "general",
    "expiresAt": "2019-08-24T14:15:22Z"
  }
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/scores/preview-impact' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hypotheticalReportMintedAt": "2019-08-24T14:15:22Z",
  "hypotheticalVouch": {
    "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
    "confidence": 3,
    "scope": "general",
    "expiresAt": "2019-08-24T14:15:22Z"
  }
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/scores/preview-impact';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    hypotheticalReportMintedAt: '2019-08-24T14:15:22Z',
    hypotheticalVouch: {
      voucherEntityId: '687a822d-209a-4607-9d86-54cce0292c95',
      confidence: 3,
      scope: 'general',
      expiresAt: '2019-08-24T14:15:22Z'
    }
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/scores/preview-impact"

payload = {
    "hypotheticalReportMintedAt": "2019-08-24T14:15:22Z",
    "hypotheticalVouch": {
        "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
        "confidence": 3,
        "scope": "general",
        "expiresAt": "2019-08-24T14:15:22Z"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "current": {
      "overall": 0,
      "grade": "AAA",
      "components": {
        "completeness": 0,
        "verification": 0,
        "dataQuality": 0,
        "networkTrust": 0,
        "reports": 0
      }
    },
    "projected": {
      "overall": 0,
      "grade": "AAA",
      "components": {
        "completeness": 0,
        "verification": 0,
        "dataQuality": 0,
        "networkTrust": 0,
        "reports": 0
      }
    },
    "delta": {
      "overall": 0,
      "components": {
        "completeness": 0,
        "verification": 0,
        "dataQuality": 0,
        "networkTrust": 0,
        "reports": 0
      }
    },
    "assumptions": [
      "string"
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-reputation-preview-score-impact.response.200.data`; object, required)
  - `current` (`entity-reputation-preview-score-impact.response.200.data.current`; object, required)
    - `overall` (`entity-reputation-preview-score-impact.response.200.data.current.overall`; number, required)
    - `grade` (`entity-reputation-preview-score-impact.response.200.data.current.grade`; string, required)
      - one of `"AAA"`, `"AA"`, `"A"`, `"BBB"`, `"BB"`, `"B"`, `"CCC"`, `"CC"`, `"C"`, `"D"`
    - `components` (`entity-reputation-preview-score-impact.response.200.data.current.components`; object, required)
      - `completeness` (`entity-reputation-preview-score-impact.response.200.data.current.components.completeness`; number, required)
      - `verification` (`entity-reputation-preview-score-impact.response.200.data.current.components.verification`; number, required)
      - `dataQuality` (`entity-reputation-preview-score-impact.response.200.data.current.components.dataQuality`; number, required)
      - `networkTrust` (`entity-reputation-preview-score-impact.response.200.data.current.components.networkTrust`; number, required)
      - `reports` (`entity-reputation-preview-score-impact.response.200.data.current.components.reports`; number, required)
  - `projected` (`entity-reputation-preview-score-impact.response.200.data.projected`; object, required)
    - `overall` (`entity-reputation-preview-score-impact.response.200.data.projected.overall`; number, required)
    - `grade` (`entity-reputation-preview-score-impact.response.200.data.projected.grade`; string, required)
      - one of `"AAA"`, `"AA"`, `"A"`, `"BBB"`, `"BB"`, `"B"`, `"CCC"`, `"CC"`, `"C"`, `"D"`
    - `components` (`entity-reputation-preview-score-impact.response.200.data.projected.components`; object, required)
      - `completeness` (`entity-reputation-preview-score-impact.response.200.data.projected.components.completeness`; number, required)
      - `verification` (`entity-reputation-preview-score-impact.response.200.data.projected.components.verification`; number, required)
      - `dataQuality` (`entity-reputation-preview-score-impact.response.200.data.projected.components.dataQuality`; number, required)
      - `networkTrust` (`entity-reputation-preview-score-impact.response.200.data.projected.components.networkTrust`; number, required)
      - `reports` (`entity-reputation-preview-score-impact.response.200.data.projected.components.reports`; number, required)
  - `delta` (`entity-reputation-preview-score-impact.response.200.data.delta`; object, required)
    - `overall` (`entity-reputation-preview-score-impact.response.200.data.delta.overall`; number, required)
    - `components` (`entity-reputation-preview-score-impact.response.200.data.delta.components`; object, required)
      - `completeness` (`entity-reputation-preview-score-impact.response.200.data.delta.components.completeness`; number, required)
      - `verification` (`entity-reputation-preview-score-impact.response.200.data.delta.components.verification`; number, required)
      - `dataQuality` (`entity-reputation-preview-score-impact.response.200.data.delta.components.dataQuality`; number, required)
      - `networkTrust` (`entity-reputation-preview-score-impact.response.200.data.delta.components.networkTrust`; number, required)
      - `reports` (`entity-reputation-preview-score-impact.response.200.data.delta.components.reports`; number, required)
  - `assumptions` (`entity-reputation-preview-score-impact.response.200.data.assumptions`; array<string>, required)
- `meta` (`entity-reputation-preview-score-impact.response.200.meta`; object, optional)
  - `timestamp` (`entity-reputation-preview-score-impact.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.400.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.401.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.403.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.404.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.409.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.500.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 501

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.501.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.501.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.501.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.501.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.501.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-preview-score-impact.response.503.error`; object, required)
  - `code` (`entity-reputation-preview-score-impact.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-preview-score-impact.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-preview-score-impact.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-preview-score-impact.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-reputation-preview-score-impact/index.md
